@import "description.scss";

.footer {
  background-color: $color-text-main;
  width: 100%;
  min-height: 424px;
}

.content {
  @include content;
  padding-top: 60px;
  padding-bottom: 60px;
  min-height: inherit;
  justify-content: space-between;
  display: flex;
  flex-direction: column;

  @include mobile {
    padding-top: 20px;
    padding-bottom: 20px;
  }
}

.line {
  display: flex;
  justify-content: space-between;
  width: 100%;

  @include mobile {
    flex-wrap: wrap;
  }
}

.license {
  color: $color-footer-description;
  font-size: 10px;
  line-height: 14px;
  width: 50%;
  padding-right: 15px;

  @include mobile {
    width: 100%;
    padding: 0;

    font-weight: 300;
    font-size: 12px;
    line-height: 16px;
  }
}

.payments_systems {
  opacity: 0.3;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 50%;
  padding-left: 15px;

  @include mobile {
    width: 100%;
    padding: 0;
    margin-top: 20px;
  }

  .logo {
    @include mobile {
      transform: scale(0.92);
    }
  }

  .visa {
    @extend .logo;

    width: 49.32px;
    height: 15.19px;
  }

  .mastercard {
    @extend .logo;

    width: 38.58px;
    height: 30px;
  }

  .mir {
    @extend .logo;

    width: 56.19px;
    height: 15.91px;
  }

  .apple_pay {
    @extend .logo;

    width: 59.26px;
    height: 24.33px;
  }

  .google_pay {
    @extend .logo;

    width: 63.96px;
    height: 25.4px;
  }
}

.navigation {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  margin-bottom: 30px;
  margin-bottom: 20px;
}

.navigation_item {
  font-weight: 300;
  font-size: 12px;
  line-height: 16px;
  /* identical to box height */

  color: $color-white;

  min-width: 50%;
  padding-bottom: 10px;

  &:hover {
    color: #c8d0d6;
  }

  @include mobile {
    min-width: 100%;
    font-size: 14px;
    line-height: 19px;
  }
}

.app_stores {
  display: flex;
  flex-direction: column;
  margin-right: -15px;

  @include mobile {
    flex-wrap: wrap;
    flex-direction: row;
  }
}

.app_store_logo_wrppaer {
  background: #000000;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 15px;
  margin-right: 15px;
  width: 148px;
  height: 42px;

  @include mobile {
    width: 160px;
    height: 48px;
  }
}

.main_content {
  width: 65%;

  @include tablet {
    width: unset;
  }
}

.column_wrapper {
  display: flex;

  @include mobile {
    flex-wrap: wrap;
  }
}

.column {
  display: flex;
  min-width: 50%;
  flex-direction: column;
  justify-content: flex-end;

  @include mobile {
    min-width: 100%;
    margin-bottom: 29px;
  }
}

.social_newtwork_row {
  display: flex;
  margin-top: 20px;
}

.social_newtwork_icon {
  margin-right: 10px;
}

.description_item {
  font-weight: 300;
  font-size: 12px;
  line-height: 16px;
  /* identical to box height */

  color: $color-footer-description;

  @include mobile {
    font-size: 14px;
    line-height: 19px;
  }
}

.marked_item {
  font-weight: 600;
  font-size: 14px;
  line-height: 19px;

  /* Розовый мафин */

  color: $color-red;

  margin-bottom: 5px;

  @include mobile {
    font-weight: 500;
    font-size: 16px;
    line-height: 22px;
  }
}

.app_store {
  width: 106.71px;
  height: 26.25px;

  @include mobile {
    width: 119.55px;
    height: 30px;
  }
}

.google_play {
  width: 124.08px;
  height: 28.46px;

  @include mobile {
    width: 139.02px;
    height: 32.52px;
  }
}

.huawei_store {
  width: 119.4px;
  height: 30.07px;

  @include mobile {
    width: 119.4px;
    height: 30.07px;
  }
}
